Skip to main content
Resource Center/Hardware/Backup Storage Operations/Ceph Backup Storage Operations
POSTCeph Backup Storage OperationsSince 0.6SynchronousAuth Required

AddCephBackupStorage

AddCephBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • monUrlsListRequired

      The URL list of the Ceph mon (monitor daemon ).

    • poolNameString

      Optional. The name of the Ceph pool for storing images.

    • urlStringRequired

      The reserved field.

    • nameStringRequired

      The name of the Ceph backup storage.

    • descriptionString

      Optional. The detailed description of the Ceph backup storage.

    • typeString

      Optional. The backup storage type: Ceph.

    • importImagesboolean

      Optional. Whether to import images

    • resourceUuidString

      Optional. The resource UUID. If specified, the Ceph backup storage will use this field as the UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBackupStorageInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

POST/zstack/v1/backup-storage/ceph

/zstack/v1/backup-storage/ceph

Operation ID

AddCephBackupStorage

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/backup-storage/ceph' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"monUrls":["<monUrls>"],"poolName":"<poolName>","url":"<url>","name":"<name>","description":"<description>","type":"<type>","importImages":true,"resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "My Backup Storage", "description": "Public Backup Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:17 PM", "lastOpDate": "Jun 7, 2017 9:20:17 PM", "attachedZoneUuids": [ "812bb731a83847ffba9d8caa3a4633d2" ] } }

Change History

This API has no change history records yet.

View all change history